#!/bin/sh

# -----------------------------------------------------------
# IBM Confidential
# 
# DOORS - %full_filespec: getarch.sh~3:shsrc:ERS#3 %  %date_created: Mon Jul 14 12:08:09 2008 %
#
# (c) Copyright IBM Corporation 1993, 2008. All Rights Reserved.
# -----------------------------------------------------------

argcount=$#

sys_ver=""
count=0

setver()
{
    if [ $count -ne 0 ] ; then
       count=`expr $count - 1`   
       sys_ver=$sys_ver`echo $1 $2 | awk '{ printf("%s", substr($1,$2,1)) }'`
    fi
}



sys_name=`uname -s`
sys_release=`uname -r`

if [ $# -eq 1 ] ; then
   if [ $1 = "-v" ] ; then
      count=1
   elif [ $1 = "-vv" ] ; then
      count=2
   elif [ $1 = "-vvv" ] ; then
      count=3
   fi
fi


case $sys_name in

        SunOS)
        case $sys_release in
                4*)
                arch="sunos" 
		setver $sys_release 1
		setver $sys_release 3
		setver $sys_release 5 ;;		
                5*)
                arch="solaris"
		sys_ver="2"
		count=`expr $count - 1`
		setver $sys_release 3
		setver $sys_release 5 ;;
                *)
                arch="unknown" ;;
        esac ;;
        HP-UX)
                arch="hpux"
		count=`expr $count + 1`
		setver $sys_release 3
		if [ $sys_ver = "0" ] ; then
		   sys_ver=""
		fi
		setver $sys_release 4
		setver $sys_release 6
		setver $sys_release 7 ;;
        AIX)
                arch="aix"
		sys_release=`uname -v`$sys_release
		setver $sys_release 1
		setver $sys_release 2 ;;
		
        OSF1)
                arch="alpha" 
		setver $sys_release 2
		setver $sys_release 4 ;;

	Linux)
		arch="linux"
		setver $sys_release 1
		setver $sys_release 3 ;;
			
        CYGWIN32*)
		arch="pc" ;;
        *)
                arch="unknown" ;;
esac

if [ $argcount -eq 0 ] ; then
  echo $arch
else
  echo $arch"_"$sys_ver
fi
